Summary: Tune hard disk parameters for high performance.
Name: hdparm
Version: 3.9a
Release: 3.0.0.%{_hhl_build_id}
Source: hdparm-%{version}.tar.gz
Source1: hdparm.tmpl
Patch: hdparm-%{version}-diff
Patch1: hdparm-%{version}-cross.diff
License: Other
Group: Applications/System 
%define pkgname hdparm
Buildroot: %{_tmppath}/%{pkgname}-root
%define targetroot %{_hhl_cross_target_dir}
Prefix: %{targetroot}

%define _bindir		%{targetroot}%{_hhl_target_bin_dir}
%define _sbindir	%{targetroot}%{_hhl_target_sbin_dir}
%define _libdir		%{targetroot}%{_hhl_target_lib_dir}
%define _datadir	%{targetroot}%{_hhl_target_datadir}
%define _mandir		%{targetroot}%{_hhl_target_man_dir}
%define _infodir	%{targetroot}%{_hhl_target_info_dir}
%define _docdir		%{targetroot}%{_hhl_target_doc_dir}
%define _rsbindir	%{targetroot}/sbin

Obsoletes : hhl-target-hdparm
Obsoletes : hhl-%{_hhl_target_arch}-hdparm

%description
Shell utility to access/tune ioctl features of the
linux hard disk and (E)IDE drivers for kernel 1.1.65+.
Primary use is for enabling irq-unmasking and IDE multiplemode.


%prep
%target_check
%setup -q -n hdparm-%{version}
%patch -p1
%patch1 -p1


%build
%target_setup
%make CFLAGS="%{optflags}" LDFLAGS=""


%install
%target_setup
rm -rf %{buildroot}

install -d %{buildroot}%{_rsbindir} %{buildroot}%{_mandir}/man8
install -m 755 hdparm %{buildroot}%{_rsbindir}/hdparm
install -m 644 hdparm.8 %{buildroot}%{_mandir}/man8/hdparm.8

gzip -v9 %{buildroot}%{_mandir}/man*/*
cp debian/copyright LICENSE

install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages
export HHL_TOOL_PREFIX=%{_hhl_target_toolprefix}
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE1} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/hdparm

%clean
rm -rf %{buildroot}


%files -n %{pkgname}
%defattr(-,root,root)
%{_rsbindir}/hdparm
%{_mandir}/man8/hdparm.8*
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/hdparm
%doc LICENSE

%changelog
* Fri Apr 20 2001 Automated script (run by Steve Kinneberg <skinneberg@mvista.com>)
- Added TCT package description files
* Sat Feb 24 2001 Matthew McLean <source@mvista.com>
- First cut


